Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Gtk::VScrollbar Class Reference

A GtkVScrollbar C++ wrapper class. More...

`#include <inti/gtk/scrollbar.h>`

Inheritance diagram for Inti::Gtk::VScrollbar:

List of all members.

## Public Member Functions

Constructors

- VScrollbar ()
    Construct a new vertical scrollbar; the scrollbar will create an adjustment for you.
- VScrollbar (Adjustment &adjustment)
    Construct a new vertical scrollbar with the specified adjustment.
- virtual ~VScrollbar ()
    Destructor.

Accessors

- GtkVScrollbar * gtk_vscrollbar () const
    Get a pointer to the GtkVScrollbar structure.
- GtkVScrollbarClass * gtk_vscrollbar_class () const
    Get a pointer to the GtkVScrollbarClass structure.
- operator GtkVScrollbar * () const
    Conversion operator; safely converts a VScrollbar to a GtkVScrollbar pointer.

## Protected Member Functions

Constructors

- VScrollbar (GtkVScrollbar *vscrollbar, bool reference=false)
    Construct a new VScrollbar from an existing GtkVScrollbar.

## Detailed Description

A GtkVScrollbar C++ wrapper class.

The VScrollbar widget is a widget arranged vertically creating a scrollbar. See Scrollbar for details on scrollbars. An Adjustment may be added to handle the adjustment of the scrollbar.

## Constructor & Destructor Documentation

Inti::Gtk::VScrollbar::VScrollbar | ( | GtkVScrollbar * | vscrollbar,
|  | bool | reference = false
| ) | `[explicit, protected]`

  | Construct a new VScrollbar from an existing GtkVScrollbar. Parameters:
  vscrollbar | A pointer to a GtkVScrollbar.
  reference | Set false if the initial reference count is floating, set true if it's not.
The vscrollbar can be a newly created GtkVScrollbar or an existing GtkVScrollbar (see G::Object::Object).

Inti::Gtk::VScrollbar::VScrollbar | ( | Adjustment & | adjustment | ) | `[explicit]`

  | Construct a new vertical scrollbar with the specified adjustment. Parameters:
  adjustment | The Adjustment to use.

The documentation for this class was generated from the following file:

- scrollbar.h

Main Page - Footer